# $Revision: 1.8 $, $Date: 2011/08/15 17:26:26 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	LXTerminal is the standard terminal emulator of LXDE
Name:		lxterminal
Version:	0.1.11
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	fd9140b45c0f28d021253c4aeb8c4aea
URL:		http://wiki.lxde.org/en/LXTerminal
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
%{?with_gtk3:BuildRequires:	vte-devel}
%{?with_gtk2:BuildRequires:	vte0-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTerminal is the standard terminal emulator of LXDE.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__intltoolize}
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}*
%{_pixmapsdir}/%{name}.png
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxterminal.spec,v $
Revision 1.8  2011/08/15 17:26:26  glen
- locale fix

Revision 1.7  2011/08/15 07:48:37  glen
- up to 0.1.11, added gtk3 bcond

Revision 1.6  2010/09/02 18:47:39  glen
- autoup to 0.1.9

Revision 1.5  2010/07/30 23:18:37  charles
- BR: autoconf, automake, intltool, libtool

Revision 1.4  2010/07/30 09:16:07  glen
- do not package empty translations

Revision 1.3  2010/07/29 15:39:41  witekfl
- up to 0.1.8

Revision 1.2  2010/07/29 12:10:36  witekfl
- BR: pkgconfig and vte-devel
- rel 1

Revision 1.1  2010/05/31 13:03:37  uzsolt
- initial
